#!/usr/bin/perl -w
use strict;

my $username = $ARGV[0];

print "Welcome to SSC - simple serial chat ;-) version 0.1\n\n";

if (!defined $username) {
	print STDERR "Usage: $0 <username>\n";
	exit 1;
}

sysopen DHWKOUT, "dev_dhwk", 1
	or die "Couldn't open dev_dhwk for writing: $!";
print DHWKOUT "$username has joined.\n";

while(<STDIN>) {
	print DHWKOUT $_;
}

print DHWKOUT "$username has left.\n";

close DHWKOUT;

